%include	/usr/lib/rpm/macros.perl
Summary:	PLD Linux script to create RPMS from CPAN modules
Summary(pl.UTF-8):	Skrypt PLD tworzący pakiety RPM z modułów z CPAN
Name:		pldcpan
Version:	1.62
Release:	3
License:	GPL
Group:		Development/Languages/Perl
Source0:	%{name}.pl
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	perl-tools-pod
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Data-Dump
Requires:	perl-Encode
Requires:	perl-libwww
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pldcpan creates RPMs from CPAN archives, automating the locating, spec
file creation.

%description -l pl.UTF-8
pldcpan tworzy pakiety RPM z archiwów CPAN automatyzując odnajdywanie
modułu i tworzenie pliku spec.

%prep
%setup -qcT
# make sure we have the version we claim to have, fail otherwise
ver=$(%{__perl} -MExtUtils::MM_Unix -e 'print ExtUtils::MM_Unix->parse_version(shift)' %{SOURCE0})
if [ "$ver" != "%{version}" ]; then
	: Update Version to $ver, and retry
	exit 1
fi
install -p %{SOURCE0} .

%build
pod2man -c "" pldcpan.pl > pldcpan.1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -p pldcpan.pl $RPM_BUILD_ROOT%{_bindir}/pldcpan
cp -a pldcpan.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pldcpan
%{_mandir}/man1/pldcpan.1*
%changelog
* Sat Jan 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pldcpan.git;a=log;h=master

* Sat Jan 10 2015 Elan Ruusamäe <glen@delfi.ee> 239686d
- rebuild with perl autodeps (perl(Template) was missing); drop autodeps bcond

* Fri Feb 22 2013 Elan Ruusamäe <glen@delfi.ee> 7f8ef52
- rebuild after git migration

* Sun Oct 28 2012 Jakub Bogusz <qboosh@pld-linux.org> e7afe34
- hardcode VERSION, no longer maintained by vcs

* Fri Oct 19 2012 Sławomir Paszkiewicz <paszczus@pld-linux.org> 295ac25
- bumped version due git migration

* Fri Oct 19 2012 Sławomir Paszkiewicz <paszczus@pld-linux.org> bf1caf2
- removed obsolete CVS parts

* Fri Feb 11 2011 lisu <lisu@pld-linux.org> 8a5c54f
- very large cosmetics

* Fri Oct 29 2010 Elan Ruusamäe <glen@pld-linux.org> ec1ceb4
- 1.60

* Fri Oct 29 2010 Elan Ruusamäe <glen@pld-linux.org> 9b09f98
- formatting cosmetics

* Fri Feb 19 2010 Elan Ruusamäe <glen@pld-linux.org> f89a361
- YAML >= 0.68 for YAML::Any

* Mon Feb 15 2010 radek <radek@pld-linux.org> 93d2e9d
- version 1.59: BR: perl-Module-Build automatically
- minor tweaks

* Mon Feb 15 2010 radek <radek@pld-linux.org> bd5d28e
- version 1.59: BR: perl-Module-Build automatically
- minor tweaks

* Tue Aug 18 2009 Adam Gołębiowski <adamg@pld-linux.org> 38f774a
- updated to 1.58

* Fri Jan 30 2009 radek <radek@pld-linux.org> 875713f
- use YAML::Any instead of YAML

* Fri Dec 12 2008 radek <radek@pld-linux.org> ace62be
- TODO: --skipdeps; fixed "=begin comment"

* Fri Dec 12 2008 radek <radek@pld-linux.org> 9690aef
- allow version to start with v, as in v1.01

* Wed Oct 29 2008 sparky <sparky@pld-linux.org> 3535e45
- goodday sir, how's the weather today ?

* Wed Oct 29 2008 Elan Ruusamäe <glen@pld-linux.org> 3aefb6d
- add manual page

* Wed Oct 29 2008 Elan Ruusamäe <glen@pld-linux.org> 0a2c7e1
- write some pod doc, inspired from cpan2rpm but nothing really left

* Mon Oct 13 2008 Elan Ruusamäe <glen@pld-linux.org> 8198d09
- uses Encode.pm

* Mon Oct 13 2008 Elan Ruusamäe <glen@pld-linux.org> 12a5957
- 1.53: only visible code change is: include TODO.txt

